<?php
include './INCLUDE/MySQL_include_param_dbb.php';
include './INCLUDE/MySQL_include_sprog_commun_shell.php';
include './INCLUDE/MySQL_include_sprog_liste_personnes_shell.php';
$choix=-1                ;
// ==============================
// ---      boucle de menu    ---
// ==============================
while ($choix !=0)
{ $choix=-1;
  echo PHP_EOL;
  echo "-1- Saisie d'une liste de personnes".PHP_EOL;
  echo "-2- Affichage de toutes les personnes".PHP_EOL;
  echo "-3- Supprimer une personne".PHP_EOL;
  echo "-4- Modifier une personne".PHP_EOL;
  echo "-5- Recherche de personnes, d'après un champ".PHP_EOL;
  echo "-0- Quitter".PHP_EOL;
  echo "Choix (1,2,3,...) : ";
  fscanf(STDIN,"%d",$choix);
  switch($choix)
  { case 1 : Saisie()    ;
             break;
    case 2 : Affichage() ;
             break;
    case 3 : Supprimer();
             break;
    case 4 : Modifier();
             break;
    case 5 : $tab_critere=choix_critere();
             if (count($tab_critere) != 0)
             {$critere          = $tab_critere[0];
              $valeur_recherche = $tab_critere[1];
              unset($tab_resultat);
              $tab_resultat=Recherche_sur_critere($critere,$valeur_recherche);
              if (count($tab_resultat) == 0)
                  echo "Aucune personne trouvée avec ce critère".PHP_EOL;
              else
                  affichage_liste_personnes('Liste des personnes trouvées',$tab_resultat);
             }
             break;
    case 0 : quitter();
             break;
    default : echo "Choix impossible !".PHP_EOL;
             break;        
  }
}
?>

